Đến nội dung


Hình ảnh
- - - - -

Hướng dẫn viết lisp


  • Please log in to reply
3 replies to this topic

#1 quocanhxd05

quocanhxd05

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 20 August 2009 - 04:47 PM

Chào các bác, em muốn nhờ các bác chỉ cách viết 1 đoạn lisp đếm xem có bao nhiêu phần tử trong 1 đối tượng Polyline.
Ví dụ : có 1 đối tượng Polyline gồm 6 phần tử là đuờng thẳng. Sau khi chạy lệnh lisp nó sẽ cho mình biết là trong đối tượng polyline có 6 phần tử.
Thanks nhìu!
  • 0
-------------------- Sống ở trên đời cần một chữ NHẪN --------------------

#2 Tue_NV

Tue_NV

    KS Võ Quang Tuệ

  • Moderator
  • PipPipPipPipPipPipPip
  • 4296 Bài viết
Điểm đánh giá: 3804 (đỉnh cao)

Đã gửi 20 August 2009 - 05:20 PM

Chào các bác, em muốn nhờ các bác chỉ cách viết 1 đoạn lisp đếm xem có bao nhiêu phần tử trong 1 đối tượng Polyline.
Ví dụ : có 1 đối tượng Polyline gồm 6 phần tử là đuờng thẳng. Sau khi chạy lệnh lisp nó sẽ cho mình biết là trong đối tượng polyline có 6 phần tử.
Thanks nhìu!

Xin đính chính : Cái phần tử trong PLINE mà bạn nói đến phải gọi là phân đoạn (segment)
Đây là Lisp đếm số phân đoạn (segments) mà Tue_NV viết theo ý bạn :
(defun c:dsm()
(vl-load-com)
(while (setq dt (entsel "\n Pick vao Polyline can biet so phan doan segments :"))
(setq curve (car dt))
(alert (strcat "so phan doan segments cua PLine vua chon la : "
(rtos (vlax-curve-getEndParam curve) 2 0)
)
)
)
(princ)
)

  • 1

#3 ndn386

ndn386

    biết vẽ pline

  • Members
  • PipPip
  • 67 Bài viết
Điểm đánh giá: 17 (tàm tạm)

Đã gửi 20 August 2009 - 09:30 PM

Bác Tue_VN ơi, thấy cách bác viết các chuơng trình Lisp thấy hay quá. Hôm trước em cũng có tải về 1 Lisp về load nhưng không đuợc bác ạ, em cũng đã thử mấy Lisp khác nhưng cũng không chạy được.
Em đã vào Tools -> Load Applications rồi tìm đuờng dẫn tới Lisp đã có, nhưng khi em gõ tên Lisp thì Cad thông báo là không có lệnh đó. Bác có thể chỉ cho em cách sử dụng Lisp không?( Em dung Cad 2007)
Em cảm ơn bác truớc nhé, có lẽ về Cad thì bác là Pro lắm rồi.
  • 0
Ai đem chim sáo sang sông
Để cho chim sáo ...mất công bay về

#4 quocanhxd05

quocanhxd05

    biết vẽ ellipse

  • Members
  • PipPip
  • 57 Bài viết
Điểm đánh giá: 6 (bình thường)

Đã gửi 24 August 2009 - 08:50 AM

Xin đính chính : Cái phần tử trong PLINE mà bạn nói đến phải gọi là phân đoạn (segment)
Đây là Lisp đếm số phân đoạn (segments) mà Tue_NV viết theo ý bạn :

(defun c:dsm()
(vl-load-com)
(while (setq dt (entsel "\n Pick vao Polyline can biet so phan doan segments :"))
(setq curve (car dt))
(alert (strcat "so phan doan segments cua PLine vua chon la : "
(rtos (vlax-curve-getEndParam curve) 2 0)
)
)
)
(princ)
)

Hay quá , cảm ơn bác nhiều.Nếu không có diễn đàn Cadviet chắc em phải nghiên cứu tới tết công gô luôn.
Chúc cho Cadviet ngày càng lớn mạnh.
  • 0
-------------------- Sống ở trên đời cần một chữ NHẪN --------------------